Bug 147941 - firefox script should include LD_PRELOAD=/usr/lib/libaoss.so
firefox script should include LD_PRELOAD=/usr/lib/libaoss.so
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: FutureFeature
Depends On: 147942
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-13 12:01 EST by Naadir Jeewa
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-13 02:42:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Naadir Jeewa 2005-02-13 12:01:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20050203 Firefox/1.0

Description of problem:
On AC97 soundcards (most PCs), there is no hardware mixing. Any firefox plugin that uses the kernel OSS emulation layer may hang other applications that want to use the sound device, regardless of whether or not their asoundrc file is set up to use dmix. This is problematic when people are using web radio (such has BBC On Demand http://www.bbc.co.uk/radio/aod/).
Recommend that LD_PRELOAD=/usr/lib/libaoss.so is added to the firefox script so we can use the userspace OSS emulation. Doing this will give a better user experience, akin to what one might expect on Windows or Mac OSX. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use RealPlayer plugin in Firefox
2. Attempt to use mplayer, totem or any other media player

  

Actual Results:  Other media player hangs.

Expected Results:  Should have simultaneous playback

Additional info:

Note You need to log in before you can comment on or make changes to this bug.